org.eclipse.rdf4j.federated.endpoint.provider

## Class RepositoryInformation

- java.lang.Object
- - org.eclipse.rdf4j.federated.endpoint.provider.RepositoryInformation

- Direct Known Subclasses:
    NativeRepositoryInformation, RemoteRepositoryRepositoryInformation, ResolvableRepositoryInformation, SPARQLRepositoryInformation

      public class RepositoryInformation
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Properties` | `props`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryInformation(EndpointType type)`
    `` | `RepositoryInformation(String id, String name, String location, EndpointType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get(String key)`
    `String` | `get(String key, String def)`
    `EndpointConfiguration` | `getEndpointConfiguration()`
    `String` | `getId()`
    `String` | `getLocation()`
    `String` | `getName()`
    `EndpointType` | `getType()`
    `boolean` | `isWritable()`
    `void` | `setEndpointConfiguration(EndpointConfiguration endpointConfiguration)`
    `void` | `setProperty(String key, String value)`
    `void` | `setType(EndpointType type)`
    `void` | `setWritable(boolean writable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### props

          protected Properties props

  - ### Constructor Detail

    - #### RepositoryInformation

          public RepositoryInformation(String id,
                                       String name,
                                       String location,
                                       EndpointType type)

    - #### RepositoryInformation

          protected RepositoryInformation(EndpointType type)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getName

          public String getName()

    - #### getLocation

          public String getLocation()

    - #### getType

          public EndpointType getType()

    - #### getEndpointConfiguration

          public EndpointConfiguration getEndpointConfiguration()

      Returns:
        the optional `EndpointConfiguration` or `null`

    - #### setEndpointConfiguration

          public void setEndpointConfiguration(EndpointConfiguration endpointConfiguration)

    - #### get

          public String get(String key)

    - #### get

          public String get(String key,
                            String def)

    - #### setProperty

          public void setProperty(String key,
                                  String value)

    - #### setType

          public void setType(EndpointType type)

    - #### isWritable

          public boolean isWritable()

      Returns:
        the writable

    - #### setWritable

          public void setWritable(boolean writable)

      Parameters:
        `writable` - the writable to set

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.